import mods.metatweaker.Factory;

var Botania_Items = mods.metatweaker.Factory.createCreativeTab("Botania Items", "Botania:manaResource").register();

var AlfheimEssence = Factory.createItem("AlfheimEssence")
  .setTextureName("metatweaker:botania/AlfheimEssence")
  .setCreativeTab("Botania Items")
  .register();

var AlfheimPowerIngot = Factory.createItem("AlfheimPowerIngot")
  .setTextureName("metatweaker:botania/AlfheimPowerIngot")
  .setCreativeTab("Botania Items")
  .register();

var AlfheimRune = Factory.createItem("AlfheimRune")
  .setTextureName("metatweaker:botania/AlfheimRune")
  .setCreativeTab("Botania Items")
  .register();

var ElvoriumIngot = Factory.createItem("ElvoriumIngot")
  .setTextureName("metatweaker:botania/ElvoriumIngot")
  .setCreativeTab("Botania Items")
  .register();

var ElvoriumNugget = Factory.createItem("ElvoriumNugget")
  .setTextureName("metatweaker:botania/ElvoriumNugget")
  .setCreativeTab("Botania Items")
  .register();

var MauftriumIngot = Factory.createItem("MauftriumIngot")
  .setTextureName("metatweaker:botania/MauftriumIngot")
  .setCreativeTab("Botania Items")
  .register();

var MauftriumNugget = Factory.createItem("MauftriumNugget")
  .setTextureName("metatweaker:botania/MauftriumNugget")
  .setCreativeTab("Botania Items")
  .register();

var MuspelheimEssence = Factory.createItem("MuspelheimEssence")
  .setTextureName("metatweaker:botania/MuspelheimEssence")
  .setCreativeTab("Botania Items")
  .register();

var MuspelheimPowerIngot = Factory.createItem("MuspelheimPowerIngot")
  .setTextureName("metatweaker:botania/MuspelheimPowerIngot")
  .setCreativeTab("Botania Items")
  .register();

var MuspelheimRune = Factory.createItem("MuspelheimRune")
  .setTextureName("metatweaker:botania/MuspelheimRune")
  .setCreativeTab("Botania Items")
  .register();

var NiflheimEssence = Factory.createItem("NiflheimEssence")
  .setTextureName("metatweaker:botania/NiflheimEssence")
  .setCreativeTab("Botania Items")
  .register();

var NiflheimPowerIngot = Factory.createItem("NiflheimPowerIngot")
  .setTextureName("metatweaker:botania/NiflheimPowerIngot")
  .setCreativeTab("Botania Items")
  .register();

var NiflheimRune = Factory.createItem("NiflheimRune")
  .setTextureName("metatweaker:botania/NiflheimRune")
  .setCreativeTab("Botania Items")
  .register();

var PrimalRune = Factory.createItem("PrimalRune")
  .setTextureName("metatweaker:botania/PrimalRune")
  .setCreativeTab("Botania Items")
  .register();

var IffesalDust = Factory.createItem("IffesalDust")
  .setTextureName("metatweaker:botania/IffesalDust")
  .setCreativeTab("Botania Items")
  .register();

var RunePositiveEffects = Factory.createItem("RunePositiveEffects")
    .setCreativeTab("Botania Items")
    .setHasSubtypes(true)
    .addSubtype("RunePositiveEffects_1", "metatweaker:botania/rune_positive_effects/speed")
    .addSubtype("RunePositiveEffects_2", "metatweaker:botania/rune_positive_effects/haste")
    .addSubtype("RunePositiveEffects_3", "metatweaker:botania/rune_positive_effects/strengh")
    .addSubtype("RunePositiveEffects_4", "metatweaker:botania/rune_positive_effects/health")
    .addSubtype("RunePositiveEffects_5", "metatweaker:botania/rune_positive_effects/jump_boost")
    .addSubtype("RunePositiveEffects_6", "metatweaker:botania/rune_positive_effects/regeneration")
    .addSubtype("RunePositiveEffects_7", "metatweaker:botania/rune_positive_effects/resistance")
    .addSubtype("RunePositiveEffects_8", "metatweaker:botania/rune_positive_effects/fire_resistance")
    .addSubtype("RunePositiveEffects_9", "metatweaker:botania/rune_positive_effects/invisibility")
    .addSubtype("RunePositiveEffects_10", "metatweaker:botania/rune_positive_effects/absorbtion")
    .addSubtype("RunePositiveEffects_11", "metatweaker:botania/rune_positive_effects/saturation")
    .addSubtype("RunePositiveEffects_12", "metatweaker:botania/rune_positive_effects/glowing")
    .addSubtype("RunePositiveEffects_13", "metatweaker:botania/rune_positive_effects/levitating")
    .addSubtype("RunePositiveEffects_14", "metatweaker:botania/rune_positive_effects/luck")
    .register();

var RuneNegativeEffects = Factory.createItem("RuneNegativeEffects")
    .setCreativeTab("Botania Items")
    .setHasSubtypes(true)
    .addSubtype("RuneNegativeEffects_1", "metatweaker:botania/rune_negative_effects/slowness")
    .addSubtype("RuneNegativeEffects_2", "metatweaker:botania/rune_negative_effects/fatique")
    .addSubtype("RuneNegativeEffects_3", "metatweaker:botania/rune_negative_effects/damage")
    .addSubtype("RuneNegativeEffects_4", "metatweaker:botania/rune_negative_effects/hausea")
    .addSubtype("RuneNegativeEffects_5", "metatweaker:botania/rune_negative_effects/blindless")
    .addSubtype("RuneNegativeEffects_6", "metatweaker:botania/rune_negative_effects/hunger")
    .addSubtype("RuneNegativeEffects_7", "metatweaker:botania/rune_negative_effects/weakness")
    .addSubtype("RuneNegativeEffects_8", "metatweaker:botania/rune_negative_effects/poison")
    .addSubtype("RuneNegativeEffects_9", "metatweaker:botania/rune_negative_effects/wither")
    .addSubtype("RuneNegativeEffects_10", "metatweaker:botania/rune_negative_effects/unluck")
    .register();

var Rune = Factory.createItem("Rune")
    .setCreativeTab("Botania Items")
    .setHasSubtypes(true)
    .addSubtype("Rune_1", "metatweaker:botania/rune/sinergy")
    .addSubtype("Rune_2", "metatweaker:botania/rune/alike_sound_sins")
    .addSubtype("Rune_3", "metatweaker:botania/rune/4elements")
    .addSubtype("Rune_4", "metatweaker:botania/rune/despair")
    .addSubtype("Rune_5", "metatweaker:botania/rune/flower")
    .addSubtype("Rune_6", "metatweaker:botania/rune/gods_symphony")
    .register();

var BotaniaSingularity = Factory.createItem("BotaniaSingularity")
    .setCreativeTab("Botania Items")
    .setHasSubtypes(true)
    .addSubtype("Botania_Singularity_1", "metatweaker:botania/singularity/mana_synergy_crystal")
    .addSubtype("Botania_Singularity_2", "metatweaker:botania/singularity/crystal_alliance_alfheim")
    .addSubtype("Botania_Singularity_3", "metatweaker:botania/singularity/mana_synergy_singularity")
    .addSubtype("Botania_Singularity_4", "metatweaker:botania/singularity/terrestrial_singularity")
    .addSubtype("Botania_Singularity_5", "metatweaker:botania/singularity/alfheim_union_singularity")
    .addSubtype("Botania_Singularity_6", "metatweaker:botania/singularity/elvorium_singularity")
    .addSubtype("Botania_Singularity_7", "metatweaker:botania/singularity/maufotrium_singularity")
    .register();









